Page MenuHomeFreeBSD

bin/dd: Add conv=direct
Needs RevisionPublic

Authored by imp on Jun 29 2018, 4:06 PM.

Details

Diff Detail

Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 17722
Build 17524: arc lint + arc unit

Event Timeline

imp created this revision.Jun 29 2018, 4:06 PM
eadler accepted this revision.Jun 29 2018, 4:12 PM
eadler added a subscriber: eadler.
eadler added inline comments.
bin/dd/dd.1
219

s/or/to/

This revision is now accepted and ready to land.Jun 29 2018, 4:12 PM
rpokala accepted this revision.Jun 29 2018, 4:21 PM

I think it might be better to have 3 conv types, IDIRECT, ODIRECT, and DIRECT==IDIRECT|ODIRECT. You may or may not want vm effects on specific files.

bin/dd/dd.1
219

This line reads ok to me, "to eliminate to reduce" would be wrong.

cy accepted this revision.Jun 30 2018, 11:14 PM
jilles added a subscriber: jilles.Jul 3 2018, 10:05 PM

NetBSD and GNU instead have iflag= and oflag= operands that accept various open flags such as direct. I think that makes more sense, even though conv=notrunc could be considered to belong with oflag instead (but does not for historical reasons).

jilles requested changes to this revision.Jul 3 2018, 10:06 PM

iflag= and oflag= would be better than inventing something new.

This revision now requires changes to proceed.Jul 3 2018, 10:06 PM
dab added a subscriber: dab.Jul 9 2018, 2:13 PM
linimon retitled this revision from Add conv=direct to bin/dd: Add conv=direct.Aug 2 2018, 10:06 PM